--- mle-1.7.2/editor.c	
+++ mle-1.7.2.1/editor.c	
@@ -127,8 +127,8 @@ int editor_init(editor_t *editor, int ar
         // Parse rc files
         if (!_editor_should_skip_rc(argv)) {
             home_rc = NULL;
-            if (getenv("HOME")) {
-                asprintf(&home_rc, "%s/%s", getenv("HOME"), ".mlerc");
+            if (getenv("XDG_CONFIG_HOME")) {
+                asprintf(&home_rc, "%s/%s", getenv("XDG_CONFIG_HOME"), "mle/mlerc");
                 if (util_is_file(home_rc, "rb", &rc)) {
                     rv = _editor_init_from_rc(editor, rc, home_rc);
                     fclose(rc);
